%global pypi_name elasticsearch7

Name:           python-%{pypi_name}
Version:        7.17.9
Release:        1%{?dist}
Summary:        Client for Elasticsearch

License:        ASL 2.0
URL:            https://github.com/elasticsearch/elasticsearch-py
Source0:        https://pypi.python.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-urllib3

%description
Low level client for Elasticsearch. It's goal is to provide common ground
for all Elasticsearch-related code in Python. The client's features include:

- Translating basic Python data types to and from JSON
- Configurable automatic discovery of cluster nodes
- Persistent connections
- Load balancing (with pluggable selection strategy) across all available nodes
- Failed connection penalization (time based - failed connections won't be
  retried until a timeout is reached)
- Thread safety
- Pluggable architecture

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python 3 Client for Elasticsearch
License:        ASL 2.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       python%{python3_pkgversion}-urllib3

%description -n python%{python3_pkgversion}-%{pypi_name}
Low level client for Elasticsearch. It's goal is to provide common ground
for all Elasticsearch-related code in Python. The client's features include:

- Translating basic Python data types to and from JSON
- Configurable automatic discovery of cluster nodes
- Persistent connections
- Load balancing (with pluggable selection strategy) across all available nodes
- Failed connection penalization (time based - failed connections won't be
  retried until a timeout is reached)
- Thread safety
- Pluggable architecture

%prep
%setup -qn %{pypi_name}-%{version}
rm -fr %{pypi_name}.egg-info

%build
%{py3_build}

%install
%{py3_install}

# The upstream tests are available however require a running
# elasticsearch server to run against
%check
%py3_check_import elasticsearch7

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%doc README.rst
%license LICENSE

%changelog
* Thu Mar 2 2023 Steve Traylen <steve.traylen@cern.ch> - 7.17.9-1
- Package review corrections rhbz#2050552

* Fri Feb 11 2022 Steve Traylen <steve.traylen@cern.ch> - 7.17.0-2
- Package review corrections rhbz#2050552

* Fri Feb 4 2022 Steve Traylen <steve.traylen@cern.ch> - 7.17.0-1
- Adapt elasticsearch6 package to elasticsearch7 package

